### Method

# Ide Pipeline build_async

#### Declaration

    void
    ide_pipeline_build_async (
      IdePipeline* self,
      IdePipelinePhase phase,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously starts the build pipeline.

The `phase` parameter should contain the `IdePipelinePhase` that is necessary to complete. If you simply want to trigger a generic build, you probably want `IDE_PIPELINE_PHASE_BUILD`. If you only need to configure the project (and necessarily the dependencies up to that phase) you might want `IDE_PIPELINE_PHASE_CONFIGURE`.

You may not specify `IDE_PIPELINE_PHASE_AFTER` or `IDE_PIPELINE_PHASE_BEFORE` flags as those must always be processed with the underlying phase they are attached to.

Upon completion, `callback` will be buildd and should call `ide_pipeline_build_finish()` to get the status of the operation.

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| The requested build phase.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to build upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.